# Alvin Integration Package

This package contains all modules related with integrating a Producer such as Airflow with Alvin platform.

> **Note**: Upon cloning this repository run `./scripts/pre-commit.sh` from `alvin-integration/` to enable client side hook to verify commit message(s). It is only needed to run **once** upon cloning the repository. 

## Running locally

### Build Docker Images

Execute the following command for Airflow 2:

```make build-airflow```

Execute the following command for Airflow 1:

```make build-legacy```

### Running Airflow

Execute the following command for Airflow 2:

```make run-airflow```

Execute the following command for Airflow 1:

```make run-legacy```
